it.csi.mddtools.guigen

## Interface PDefStateCommand

- All Superinterfaces:
    Command, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PDefStateCommand
      extends Command

  A representation of the model object 'PDef State Command'. Permette di far passare un PanelDef nello stato specificato. Può essere utilizzato in due modi:
  1. all'interno del PanelDef, in una catena di comandi referenziata da un EventHandler: in questo caso l'effetto del comando è applicato ai widget dell'istanza di PanelDef sulla quale è indirizzato l'evento
  .
  2. all'interno di un ContentPanel che referenzia un PanelDef tramite PanelDefUse: in questo caso il comando è inserito all'interno di una catena di comandi referenziata da un EventHandler associato ad un Widget definito nel ContentPanel. Ovviamente è necessario indicare, in questo caso, il PanelDefUse al quale deve essere inviato il comando (che nel caso precedente è implicito)

  The following features are supported:

  - `Go To`
  - `PDef Use`
  See Also:
    `GuigenPackage.getPDefStateCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PanelDefState` | `getGoTo()` Returns the value of the 'Go To' reference
    `PanelDefUse` | `getPDefUse()` Returns the value of the 'PDef Use' reference
    `void` | `setGoTo(PanelDefState value)` Sets the value of the '`Go To`' reference
    `void` | `setPDefUse(PanelDefUse value)` Sets the value of the '`PDef Use`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGoTo

          PanelDefState getGoTo()

      Returns the value of the 'Go To' reference. Lo stato in cui si desidera far passare il PanelDef
      Returns:
        the value of the 'Go To' reference.
      See Also:
        `setGoTo(PanelDefState)`, `GuigenPackage.getPDefStateCommand_GoTo()`

    - #### setGoTo

          void setGoTo(PanelDefState value)

      Sets the value of the '`Go To`' reference.
      Parameters:
        `value` - the new value of the 'Go To' reference.
      See Also:
        `getGoTo()`

    - #### getPDefUse

          PanelDefUse getPDefUse()

      Returns the value of the 'PDef Use' reference. Il PanelDefUse a cui deve essere indirizzato il comando. Deve essere utilizzato solo nel caso di utilizzo del comando esterno al PanelDef.
      Returns:
        the value of the 'PDef Use' reference.
      See Also:
        `setPDefUse(PanelDefUse)`, `GuigenPackage.getPDefStateCommand_PDefUse()`

    - #### setPDefUse

          void setPDefUse(PanelDefUse value)

      Sets the value of the '`PDef Use`' reference.
      Parameters:
        `value` - the new value of the 'PDef Use' reference.
      See Also:
        `getPDefUse()`